package ub.scp2.dao;

import java.util.List;

import ub.scp2.entities.User;

public interface UserDao {
	
	public User getUserByUsername(String username);

	public void deleteUser(User user);
	public List<User> getUsers();
	public List<User> getAdmins();
	public void saveUser(User user);

	public boolean usernameExists(String username);
	public void updateUser(User user);
	public void cleanDataBase();
	
}
